> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clonar un repositorio en una organización

> Clonar un repositorio en la instantánea de una organización

Requiere una API key personal de administrador Enterprise.

Clona un repositorio de Git en una organización y lo actualiza a una nueva versión de instantánea.


## OpenAPI

````yaml es/v2-openapi.yaml POST /v2/enterprise/organizations/{org_id}/clone
openapi: 3.1.0
info:
  description: API de Devin v2 con Personal API Keys para administradores de Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/clone:
    post:
      tags:
        - organizations
      summary: Clonar repositorio
      operationId: clone_repo_v2_enterprise_organizations__org_id__clone_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloneRepoRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRepoSnapshotResponse'
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    CloneRepoRequest:
      properties:
        pull_repo_commands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Comandos para hacer pull del repositorio. Se recomienda dejar este
            campo en blanco, ya que se genera automáticamente.
          title: Pull Repo Commands
        repo_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Note
        repo_path:
          description: >-
            Ruta del repositorio con el formato «owner/repo_name» (por ejemplo,
            «acme/my-project»)
          examples:
            - owner/repo_name
          title: Repo Path
          type: string
        run_lint_commands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Run Lint Commands
        run_project_commands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Run Project Commands
        run_tests_commands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Run Tests Commands
        update_dependencies_commands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Update Dependencies Commands
      required:
        - repo_path
      title: CloneRepoRequest
      type: object
    CreateRepoSnapshotResponse:
      description: Respuesta al crear una instantánea.
      properties:
        ami_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ID de AMI de la instantánea (puede ser nulo si la instantánea aún se
            está creando)
          title: Ami Id
        created_at:
          description: Marca de tiempo de creación de la instantánea
          format: date-time
          title: Created At
          type: string
        org_id:
          description: ID de la organización a la que pertenece la instantánea
          title: Org Id
          type: string
        snapshot_id:
          description: ID de la instantánea creada
          title: Snapshot Id
          type: string
        status:
          description: Estado de la instantánea (p. ej., «pending», «available»)
          title: Status
          type: string
      required:
        - snapshot_id
        - status
        - org_id
        - created_at
      title: CreateRepoSnapshotResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personal (apk_user_*) solo para administradores de Enterprise
      scheme: bearer
      type: http

````